summaryrefslogtreecommitdiff
path: root/extra/scripts
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2009-07-20 15:23:26 -0400
committerMike Frysinger <vapier@gentoo.org>2009-07-20 15:23:26 -0400
commit064bf679a0670056145b9317119c206fd403ddb4 (patch)
tree8e3602fea3cacbd156428bc26f3d6d9e1eb7a5cc /extra/scripts
parent47275903227c22e54c7d08eb9bfa0ceb12d2fa79 (diff)
MAKEALL: find kernel headers better
Work with pre-sysroot compilers that have kernel headers available in the standard location, and let people force the location manually. Signed-off-by: Mike Frysinger <vapier@gentoo.org>
Diffstat (limited to 'extra/scripts')
-rwxr-xr-xextra/scripts/MAKEALL13
1 files changed, 12 insertions, 1 deletions
diff --git a/extra/scripts/MAKEALL b/extra/scripts/MAKEALL
index dc9f754a0..6bacc9a7c 100755
--- a/extra/scripts/MAKEALL
+++ b/extra/scripts/MAKEALL
@@ -101,7 +101,18 @@ for a in "$@" ; do
setconfig CROSS_COMPILER_PREFIX ${CROSS}
- header_path=$(echo '#include <linux/version.h>' | ${CROSS}cpp 2>&1 | grep -o '[^"]*linux/version.h')
+ header_path=${KERNEL_HEADERS:-$(echo '#include <linux/version.h>' | ${CROSS}cpp 2>/dev/null | grep -o '[^"]*linux/version.h')} || :
+ if [ -z "${header_path}" ] ; then
+ for p in /usr/${CROSS%-}/usr/include ; do
+ if [ -e ${p}/linux/version.h ] ; then
+ header_path=${p}
+ break
+ fi
+ done
+ if [ -z "${header_path}" ] ; then
+ echo " ## unable to locate KERNEL_HEADERS"
+ fi
+ fi
setconfig KERNEL_HEADERS ${header_path%/linux/version.h}
if do_make ; then